---

- name: "Unmount {{ nfs_server_bind_mounts }}"
  ansible.posix.mount:
    path: "{{ item.path }}"
    state: unmounted
  loop: "{{ nfs_server_bind_mounts }}"

- name: "Remove {{ nfs_server_bind_mounts }}"
  ansible.builtin.file:
    path: "{{ item.path }}"
    state: absent
  loop: "{{ nfs_server_bind_mounts }}"

- name: Remove nfs-kernel-server
  ansible.builtin.apt:
    pkg:
      - nfs-kernel-server
    state: absent

- name: Remove /etc/exports
  ansible.builtin.file:
    path: /etc/exports
    state: absent
